# Generated by go2rpm
%ifnarch ppc64le
%bcond_without check
%endif

# https://github.com/google/trillian
%global goipath         github.com/google/trillian
Version:                1.3.10

%gometa

%global common_description %{expand:
Trillian is an implementation of the concepts described in the Verifiable Data
Structures white paper, which in turn is an extension and generalisation of the
ideas which underpin Certificate Transparency.

Trillian implements a Merkle tree whose contents are served from a data storage
layer, to allow scalability to extremely large trees.}

%global golicenses      LICENSE
%global godocs          docs examples CONTRIBUTING.md AUTHORS CHANGELOG.md\\\
                        CONTRIBUTORS README.md

Name:           %{goname}
Release:        1%{?dist}
Summary:        Transparent, highly scalable and cryptographically verifiable data store

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
# Go 1.15: https://github.com/golang/go/issues/32479
Patch0:         0001-Convert-int-to-string-using-strconv.Itoa.patch

BuildRequires:  golang(bitbucket.org/creachadair/shell)
BuildRequires:  golang(cloud.google.com/go/pubsub)
BuildRequires:  golang(cloud.google.com/go/spanner)
BuildRequires:  golang(cloud.google.com/go/spanner/spansql)
BuildRequires:  golang(contrib.go.opencensus.io/exporter/stackdriver)
BuildRequires:  golang(github.com/go-sql-driver/mysql)
BuildRequires:  golang(github.com/golang/glog)
BuildRequires:  golang(github.com/golang/mock/gomock)
BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/golang/protobuf/ptypes)
BuildRequires:  golang(github.com/golang/protobuf/ptypes/any)
BuildRequires:  golang(github.com/golang/protobuf/ptypes/duration)
BuildRequires:  golang(github.com/golang/protobuf/ptypes/empty)
BuildRequires:  golang(github.com/golang/protobuf/ptypes/timestamp)
BuildRequires:  golang(github.com/google/btree)
BuildRequires:  golang(github.com/google/certificate-transparency-go/tls)
BuildRequires:  golang(github.com/google/go-cmp/cmp)
BuildRequires:  golang(github.com/google/go-cmp/cmp/cmpopts)
BuildRequires:  golang(github.com/grpc-ecosystem/go-grpc-middleware)
BuildRequires:  golang(github.com/lib/pq)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus/promhttp)
BuildRequires:  golang(github.com/prometheus/client_model/go)
BuildRequires:  golang(go.etcd.io/etcd/clientv3)
BuildRequires:  golang(go.etcd.io/etcd/clientv3/concurrency)
BuildRequires:  golang(go.etcd.io/etcd/clientv3/naming)
BuildRequires:  golang(go.etcd.io/etcd/embed)
BuildRequires:  golang(go.opencensus.io/plugin/ocgrpc)
BuildRequires:  golang(go.opencensus.io/plugin/ochttp)
BuildRequires:  golang(go.opencensus.io/stats/view)
BuildRequires:  golang(go.opencensus.io/trace)
BuildRequires:  golang(golang.org/x/crypto/ed25519)
BuildRequires:  golang(golang.org/x/sync/errgroup)
BuildRequires:  golang(golang.org/x/sync/semaphore)
BuildRequires:  golang(golang.org/x/sys/unix)
BuildRequires:  golang(golang.org/x/time/rate)
BuildRequires:  golang(google.golang.org/api/option)
BuildRequires:  golang(google.golang.org/genproto/googleapis/api/annotations)
BuildRequires:  golang(google.golang.org/genproto/googleapis/rpc/status)
BuildRequires:  golang(google.golang.org/genproto/protobuf/field_mask)
BuildRequires:  golang(google.golang.org/grpc)
BuildRequires:  golang(google.golang.org/grpc/codes)
BuildRequires:  golang(google.golang.org/grpc/credentials)
# Does not exist anymore
# BuildRequires:  golang(google.golang.org/grpc/naming)
BuildRequires:  golang(google.golang.org/grpc/reflection)
BuildRequires:  golang(google.golang.org/grpc/status)
BuildRequires:  golang(google.golang.org/protobuf/reflect/protoreflect)
BuildRequires:  golang(google.golang.org/protobuf/reflect/protoregistry)
BuildRequires:  golang(google.golang.org/protobuf/runtime/protoimpl)
BuildRequires:  golang(google.golang.org/protobuf/testing/protocmp)
BuildRequires:  golang(gopkg.in/redis.v6)

%if %{with check}
# Tests
BuildRequires:  golang(cloud.google.com/go/spanner/admin/database/apiv1)
BuildRequires:  golang(cloud.google.com/go/spanner/spannertest)
BuildRequires:  golang(google.golang.org/genproto/googleapis/rpc/code)
BuildRequires:  golang(google.golang.org/genproto/googleapis/spanner/admin/database/v1)
BuildRequires:  golang(google.golang.org/protobuf/proto)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0 -p1
sed -i "s|github.com/go-redis/redis|gopkg.in/redis.v6|" $(find . -name "*.go")
# No more google.golang.org/grpc/naming)
rm -rf monitoring/prometheus/etcdiscover cmd/internal/serverutil

%install
%gopkginstall

%if %{with check}
%check
# client/rpcflags, cmd/get_tree_public_key, storage/testdb, quota/redis/redistb: needs network
%gocheck -d client/rpcflags \
         -d cmd/get_tree_public_key \
         -d server \
         -d storage/testdb \
         -d util/election \
         -d quota/redis/redistb \
         -d crypto
%endif

%gopkgfiles

%changelog
* Mon Aug 10 01:16:14 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.10-1
- Update to 1.3.10

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-5
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue May 07 00:14:00 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.2.1-1
- Initial package
